package JavaDoc;

import java.util.*;
import java.io.*;


public class QueryMethodIndex {

	private static Hashtable methodHash= null;

	public static void main(String args[]) {

		if (args.length < 1) {
			usage();
		}

		System.out.println("wait...");
		methodHash= loadMethodHash(args[0]);
                System.out.println("ready! (" + methodHash.size() + ")");

		if (methodHash != null) {
			
			/*
			Enumeration keys= methodHash.keys();
			while (keys.hasMoreElements()) {
				System.out.println(keys.nextElement());
			}
			*/

			try {
				byte[] b= new byte[256];
				while (true) {
					System.out.print("? ");
					for (int i= 0; i < 256; i++) b[i]= 0;
					System.in.read(b);
					String s= new String(b).trim();
					if (s.length() == 0) break;
					Vector v= (Vector)methodHash.get(s);
					System.out.println((v == null ? "Not " : "") + "Found " + s);
					if (v != null) {
						System.out.println(v);
					}
					System.out.println();
				}
			}
			catch (IOException ioe) {
				ioe.printStackTrace();
			}
		}

	}


	private static Hashtable loadMethodHash(String filename) {
		Hashtable	r= null;
	    try {
			File f= new File(filename);
			if (f.exists()) {
				// Restore existing state
				ObjectInputStream in= new ObjectInputStream(new FileInputStream(filename));
				r= (Hashtable)in.readObject();	// results
				in.close();
			}
			else {
				System.err.println("Error: " + filename + " not found...");
			}
		}
		catch (Exception e) {
			// uh-oh!
			System.err.println("ERROR: " + e.toString());
			e.printStackTrace();
		}
		return r;
	}

	private static void usage() {
		System.out.println("usage: java QueryMethodIindex methodindexfile");
		System.exit(0);
	}

}
